declare('AutoJett', AutoJett or {})

AutoJett.helpmessage = '\127ffffffAutoJett commands are: [\127ffff00Toggle\127o] - Turns AutoJett on or off, [\127ffff00Switch\127o] - Switches AutoJett between jettisoning all ore or keeping rare ore, [\127ffff00List\127o] - Lists ores which are kept.'
AutoJett.active = false
AutoJett.DropAll = false
AutoJett.ore = {
	['Premium Aquean Ore'] = true,
	['Premium Silicate Ore'] = true,
	['Premium Carbonic Ore'] = true,
	['Premium Ferric Ore'] = true,
	['Premium Ishik Ore'] = true,
	['Premium VanAzek Ore'] = true,
	['Premium Xithricite Ore'] = true,
	['Lanthanic Ore'] = false,
	['Denic Ore'] = false,
	['Pyronic Ore'] = false,
	['Apicene Ore'] = false,
	['Pentric Ore'] = false,
	['Heliocene Ore'] = false,
}

function AutoJett:OnEvent(event, itemid)
	if AutoJett.active == true and
	PlayerInStation() == false then
		local itemname = GetInventoryItemName(itemid)
		if AutoJett.DropAll == true and string.match(itemname, ' Ore$') then
			JettisonSingle(itemid, 1)
		elseif AutoJett.ore[itemname] == true then
			JettisonSingle(itemid, 1)
		end
	end
end

function AutoJett.cmd(_,data)
	if not data then
		print(AutoJett.helpmessage)
	elseif string.lower(data[1]) == 'toggle' then
		if AutoJett.active == false then
			AutoJett.active = true
			print('\127ffffffAuto-Jettison ON')
		else
			AutoJett.active = false
			print('\127ffffffAuto-Jettison OFF')
		end
	elseif string.lower(data[1]) == 'switch' then
		if AutoJett.DropAll == false then
			AutoJett.DropAll = true
			print('\127ffffffAutoJett will now jettison ALL ores')
		else
			AutoJett.DropAll = false
			print('\127ffffffAutoJett will now jettison NON-RARE ores')
		end
	elseif string.lower(data[1]) == 'list' then
		local listtbl = {}
		for k,v in pairs(AutoJett.ore) do
			if v == false then
				table.insert(listtbl, k)
			end
		end
		print('\127ffffff'..table.concat(listtbl, ', ')..'.')
	end
end

RegisterEvent(AutoJett, "INVENTORY_ADD")
RegisterEvent(AutoJett, "INVENTORY_UPDATE")

RegisterUserCommand('autojett', AutoJett.cmd)